Skip to main content
Browse docs

Webhooks API

8 endpoints — authenticate with a workspace access token via Authorization: Bearer. See the API introduction for base URLs, pagination, and rate limits.

Redeliver Webhook Event

POST/api/webhooks/events/{id}/redeliver

Schedule the re-delivery of a webhook event. **Scopes**: `webhooks:write`

Path parameters

idstringrequired

The webhook event ID.

Returns 202 with object.

curl -X POST \
  https://api.rapidly.tech/api/webhooks/events/{id}/redeliver \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN"

List Webhook Deliveries

GET/api/webhooks/deliveries

List webhook deliveries. Deliveries are all the attempts to deliver a webhook event to an endpoint. **Scopes**: `webhooks:read` `webhooks:write`

Query parameters

endpoint_idstring | string[] | null

Filter by webhook endpoint ID.

start_timestampstring | null

Filter deliveries after this timestamp.

end_timestampstring | null

Filter deliveries before this timestamp.

succeededboolean | null

Filter by delivery success status.

querystring | null

Query to filter webhook deliveries.

http_code_class"2xx" | "3xx" | "4xx" | "5xx" | null

Filter by HTTP response code class (2xx, 3xx, 4xx, 5xx).

event_type"customer.created" | "customer.updated" | "customer.deleted" | "customer.state_changed" | "share.created" | "share.updated" | "workspace.updated" | "file_sharing_session.created" | "file_sharing_session.download_completed" | "file_sharing_session.expired" | "file_sharing_session.payment_received" | "customer.created" | "customer.updated" | "customer.deleted" | "customer.state_changed" | "share.created" | "share.updated" | "workspace.updated" | "file_sharing_session.created" | "file_sharing_session.download_completed" | "file_sharing_session.expired" | "file_sharing_session.payment_received"[] | null

Filter by webhook event type.

pageinteger

Page number, defaults to 1.

limitinteger

Size of a page, defaults to 10. Maximum is 100.

Returns 200 with PaginatedList_WebhookDelivery_.

curl -X GET \
  https://api.rapidly.tech/api/webhooks/deliveries \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN"

List Webhook Endpoints

GET/api/webhooks/endpoints

List webhook endpoints. **Scopes**: `webhooks:read` `webhooks:write`

Query parameters

workspace_idstring | string[] | null

Filter by workspace ID.

pageinteger

Page number, defaults to 1.

limitinteger

Size of a page, defaults to 10. Maximum is 100.

Returns 200 with PaginatedList_WebhookEndpoint_.

curl -X GET \
  https://api.rapidly.tech/api/webhooks/endpoints \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN"

Create Webhook Endpoint

POST/api/webhooks/endpoints

Create a webhook endpoint. **Scopes**: `webhooks:write`

Request body WebhookEndpointCreate

urlstringrequired

The URL where the webhook events will be sent.

secretstring | null

Secret

format"raw" | "discord" | "slack"required

Serialisation format for outgoing webhook payloads.

events"customer.created" | "customer.updated" | "customer.deleted" | "customer.state_changed" | "share.created" | "share.updated" | "workspace.updated" | "file_sharing_session.created" | "file_sharing_session.download_completed" | "file_sharing_session.expired" | "file_sharing_session.payment_received"[]required

The events that will trigger the webhook.

workspace_idstring | null

The workspace ID associated with the webhook endpoint. **Required unless you use an workspace token.**

Returns 201 with WebhookEndpoint.

curl -X POST \
  https://api.rapidly.tech/api/webhooks/endpoints \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'

Get Webhook Endpoint

GET/api/webhooks/endpoints/{id}

Get a webhook endpoint by ID. **Scopes**: `webhooks:read` `webhooks:write`

Path parameters

idstringrequired

The webhook endpoint ID.

Returns 200 with WebhookEndpoint.

curl -X GET \
  https://api.rapidly.tech/api/webhooks/endpoints/{id} \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN"

Update Webhook Endpoint

PATCH/api/webhooks/endpoints/{id}

Update a webhook endpoint. **Scopes**: `webhooks:write`

Path parameters

idstringrequired

The webhook endpoint ID.

Request body WebhookEndpointUpdate

urlstring | null

Url

secretstring | null

Secret

format"raw" | "discord" | "slack" | null
events"customer.created" | "customer.updated" | "customer.deleted" | "customer.state_changed" | "share.created" | "share.updated" | "workspace.updated" | "file_sharing_session.created" | "file_sharing_session.download_completed" | "file_sharing_session.expired" | "file_sharing_session.payment_received"[] | null

Events

enabledboolean | null

Whether the webhook endpoint is enabled.

Returns 200 with WebhookEndpoint.

curl -X PATCH \
  https://api.rapidly.tech/api/webhooks/endpoints/{id} \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'

Delete Webhook Endpoint

DELETE/api/webhooks/endpoints/{id}

Delete a webhook endpoint. **Scopes**: `webhooks:write`

Path parameters

idstringrequired

The webhook endpoint ID.

Returns 204 with unknown.

curl -X DELETE \
  https://api.rapidly.tech/api/webhooks/endpoints/{id} \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN"

Reset Webhook Endpoint Secret

PATCH/api/webhooks/endpoints/{id}/secret

Regenerate a webhook endpoint secret. **Scopes**: `webhooks:write`

Path parameters

idstringrequired

The webhook endpoint ID.

Returns 200 with WebhookEndpoint.

curl -X PATCH \
  https://api.rapidly.tech/api/webhooks/endpoints/{id}/secret \
  -H "Authorization: Bearer $RAPIDLY_ACCESS_TOKEN"